attacca

Get a workflow

GET
/v1/workflows/{workflow_id}

Authorization

api_key workflows:read
AuthorizationBearer <token>

An atk_-prefixed API key, created under Settings → API keys.

In: header

Scope: workflows:read

Path Parameters

workflow_id*string

Workflow id

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "draft_revision_id": "a2b08189-75ab-4941-8b66-156dfed9f375",  "icon": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "published_revision_id": "95cbc7a1-fc13-4055-a6cd-38f318be5907",  "state": "string",  "updated_at": "2019-08-24T14:15:22Z"}